=== tests/kplugins/CMakeLists.txt ===
add_executable(plugintest
    main.cpp
    plugintest.cpp
)

target_link_libraries(plugintest KF5::Plasma KF5::I18n KF5::Service Qt5::DBus Qt5::Gui)

#install(TARGETS plugintest ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
