## plasma-framework 5.3.0

=== debian/changelog ===
plasma-framework (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:28:42 +0100

plasma-framework (5.2.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Use pkg-kde-tools version 3 scripts

  [ Scarlett Clark ]
  * Move copyright extra details to comment to silence
    space-in-std-shortname-in-dep5-copyright lintian error.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:46:53 +0200

plasma-framework (5.1.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Patch symbols with batchpatch. 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:16:03 +0200

plasma-framework (5.0.0-0ubuntu2) utopic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Harald Sitter ]
  * plasma-framework-dev publicly declares kf5service as a link dependency, so
    make the package depend on libkf5service-dev to reflect this

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 22 Jul 2014 14:57:43 +0200

plasma-framework (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 16 Jul 2014 14:35:36 +0200
