## plasma-framework 5.9.0

=== debian/changelog ===
plasma-framework (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:33:19 +0200

plasma-framework (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:43:50 +0100

plasma-framework (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:19:10 +0100

plasma-framework (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 19:49:31 +0100

plasma-framework (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 12:18:02 +0100

plasma-framework (5.4.0-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * Fix symbols

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 03 Nov 2014 18:40:15 +0100

plasma-framework (5.4.0-0ubuntu1~ubuntu15.04~ppa2) vivid; urgency=medium

  * Batchpatch symbols. Removed Plasma::Applet::destroyedChanged(bool)
    which was inserted by the CI system and should not be in this release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 05 Nov 2014 23:37:27 +0000

plasma-framework (5.4.0-0ubuntu1~ubuntu15.04~ppa1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 03 Nov 2014 18:40:15 +0100
