=== debian/tests/control ===
Tests: testsuite
Depends: @, debhelper, cmake, xvfb, xauth, dbus-x11, libqt5sql5-sqlite,
         libkf5globalaccel-bin, libkf5service-bin, oxygen-icon-theme,
         qml-module-qtquick2, libgl1-mesa-swx11, libgl1-mesa-swx11-dev
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
