## plasma-framework 5.18.0

=== debian/changelog ===
plasma-framework (5.18.0-0ubuntu1.1) xenial; urgency=medium

  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad
  * Add upstream_Ignore-check-if-just-one-part-of-size-is-zero-in-com.diff
    to fix the initial size of plasma widgets. (LP: #1560404)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 May 2016 12:52:04 +0200

plasma-framework (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * Add missing files. 
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release
  * plasma-framework breaks/replaces kapptemplate << 4:15.12 for qml-plasmoid 

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 06 Jan 2016 15:12:37 +0100

plasma-framework (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).
  * Update symbols files from buildds logs (5.15.0-1).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:48 +0100

plasma-framework (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).
  * Update symbols files from buildds logs (5.14.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:58 +0200

plasma-framework (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:56 +0100

plasma-framework (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Update symbols files.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:50:19 +0200

plasma-framework (5.13.0-2) unstable; urgency=medium

  * Add libegl1-mesa-dev build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 20:49:51 +0200

plasma-framework (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Sep 2015 08:45:57 +0200

plasma-framework (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:44:15 +0200
