=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/plasma-framework-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/plasma-framework-([\d.]+)\.tar\.xz
