## plasma-framework 5.26.0

=== debian/changelog ===
plasma-framework (5.26.0-0ubuntu2) yakkety; urgency=medium

  * Sync testsuite with debian.
  * Run the tests with openbox.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 06 Oct 2016 10:40:59 +0200

plasma-framework (5.26.0-0ubuntu1) yakkety; urgency=medium

  * Install new plugins
  * Development package must depend on plasma-framework
  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:53:30 +0100

plasma-framework (5.24.0-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * New upstream release (5.24.0)

  [ Clive Johnston ]
  * Refresh symbols
  * Install manpage translations

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:52:06 +0000

plasma-framework (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)
  * Refreshing symbols

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:25:09 +0200

plasma-framework (5.22.0a-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 
  * Fix control file merge. 
  * Remove upstream applied patch. 
  * Manual merge. 
  * Refresh symbols. 
  * Start over with symbols. Something is not right. 
  * Remove duplicate file from -dev. 
  * Refresh symbols again. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release
  * Refreshing symbols and removing MISSING
  * Using respun tarball from KDE Depot

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 17:02:25 -0700

plasma-framework (5.19.0-2~) UNRELEASED; urgency=medium

  * Bump kapptemplate breaks/replaces, the conflicting file is going to be
    removed from kapptemplate in the next upload. (Closes: #816528) Thanks to
    Andreas Beckmann for the report.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Mar 2016 08:30:54 +0100

plasma-framework (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).
  * (Experimental specific) Add qt5-qmltooling-plugins as a build-dep,
    missing dependency of qtdeclarative5-dev

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:44 +0100

plasma-framework (5.19.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Refreshing symbols x 2
  * Adding missing PlasmaQuick files to install file

 -- Clive Johnston <clivejo@aol.com>  Fri, 04 Mar 2016 18:46:26 +0000

plasma-framework (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * Update symbols files from buildds logs (5.16.0-1).
  * Update install files.
  * Update symbols files.
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:46 +0100
