=== debian/control ===
Source: plasma-framework
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.26.0~),
               kdoctools-dev (>= 5.26.0~),
               kio-dev (>= 5.26.0~),
               libegl1-mesa-dev,
               libkf5activities-dev (>= 5.26.0~),
               libkf5archive-dev (>= 5.26.0~),
               libkf5codecs-dev (>= 5.26.0~),
               libkf5config-dev (>= 5.26.0~),
               libkf5configwidgets-dev (>= 5.26.0~),
               libkf5coreaddons-dev (>= 5.26.0~),
               libkf5dbusaddons-dev (>= 5.26.0~),
               libkf5declarative-dev (>= 5.26.0~),
               libkf5globalaccel-dev (>= 5.26.0~),
               libkf5guiaddons-dev (>= 5.26.0~),
               libkf5i18n-dev (>= 5.26.0~),
               libkf5iconthemes-dev (>= 5.26.0~),
               libkf5idletime-dev (>= 5.26.0~),
               libkf5itemmodels-dev (>= 5.26.0~),
               libkf5notifications-dev (>= 5.26.0~),
               libkf5package-dev (>= 5.26.0~),
               libkf5parts-dev (>= 5.26.0~),
               libkf5service-dev (>= 5.26.0~),
               libkf5solid-dev (>= 5.26.0~),
               libkf5su-dev (>= 5.26.0~),
               libkf5threadweaver-dev (>= 5.26.0~),
               libkf5widgetsaddons-dev (>= 5.26.0~),
               libkf5windowsystem-dev (>= 5.26.0~),
               libkf5xmlgui-dev (>= 5.26.0~),
               libqt5svg5-dev (>= 5.4),
               libqt5x11extras5-dev (>= 5.4),
               libsm-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-shape0-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtscript5-dev (>= 5.4),
               qttools5-dev (>= 5.4),
               xauth,
               xvfb
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/plasma-framework
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-framework
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-framework

Package: plasma-framework-dev
Architecture: any
Section: libdevel
Depends: libkf5package-dev (>= 5.26.0~),
         libkf5plasma5 (= ${binary:Version}),
         libkf5plasmaquick5 (= ${binary:Version}),
         libkf5service-dev (>= 5.26.0~),
         plasma-framework (= ${binary:Version}),
         ${misc:Depends}
Replaces: kapptemplate (<< 4:15.12.2-1~),
          plasma-framework (<= 5.9.0+git20150516.1328+15.04-0)
Breaks: kapptemplate (<< 4:15.12.2-1~),
        plasma-framework (<= 5.9.0+git20150516.1328+15.04-0)
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF5 and Qt 5.
 .
 Contains development files for plasma-framework.

Package: plasma-framework
Architecture: any
Depends: qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-controls,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-widgets-addons (<= 4:5.5~)
Replaces: plasma-widgets-addons (<= 4:5.5~)
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: libkf5plasmaquick5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt 5.

Package: libkf5plasma5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF5 and Qt5.
